#!/bin/ksh
#
# @(#) dosplot V1.0 
#
# Author  : Martin Braendle (mbs)
# Date    : 13.09.94/mbs
# Revision: -
# Remarks : Parameters: $1  -  inputfilename, without extension
#                       $2  -  X-Display name (optional)
#------------------------------------------------------------------------------
#
filename=$1
if (test $2)
then
  export DISPLAY=$2
else
  export DISPLAY=unix:0
fi
#
# check if file exists
#
if (test -r $filename.eh5)
then
  mkdir $filename
  cp $filename.eh5 $filename/fort.1
  if (test -r $filename.dpl)
  then
    cp $filename.dpl $filename/fort.7
  fi
  cd $filename   
  $BANDDIR/dosplot.exe
  if (test -r fort.7)
  then
    mv fort.7 ../$filename.dpl
  fi
  rm *
  cd ..
  rmdir $filename
else
  echo "Wrong filename: "$filename".eh5."
fi
#(EOF) 
