#!/bin/ksh
#
# @(#) bandplot V1.0 
#
# Author  : Martin Braendle (mbs)
# Date    : 13.09.94/mbs
# Revision: -
# Remarks : Parameters: $1  -  inputfilename, without extension
#                       $2  -  X-Display name
#------------------------------------------------------------------------------
#
filename=$1
if (test $2)
then
  export DISPLAY=$2
else
  export DISPLAY=unix:0
fi
#
# check if file exists
#
if (test -r $filename.ehe -a -r $filename.eh1)  
then
  mkdir $filename
  cp $filename.ehe $filename/fort.1
  cp $filename.eh1 $filename/fort.14
  if (test -r $filename.bft)
  then
    cp $filename.bft $filename/fort.2
  fi
  if (test -r $filename.bin)
  then
    cp $filename.bin $filename/fort.3
  fi
  if (test -r $filename.bpl)
  then
    cp $filename.bpl $filename/fort.15
  fi
  cd $filename   
  $BANDDIR/bandplot.exe
  if (test -r fort.2)
  then
    mv fort.2 ../$filename.bft
  fi
  if (test -r fort.3)
  then
    mv fort.3 ../$filename.bin
  fi
  if (test -r fort.15)
  then
    mv fort.15 ../$filename.bpl
  fi
  rm * 
  cd ..
  rmdir $filename
else
  echo "Wrong filename: "$filename".ehe or "$filename".eh1."
fi
#(EOF) 
