C ********************************************************************
C * EHMACC - Extended Hueckel Molecular and Crystal Calculations     *
C *                                                                  *
C * Copyright (C) 1997 by Gion Calzaferri                            *
C *                                                                  *
C * This program is free software; you can redistribute it and/or    *
C * modify it under the terms of the GNU General Public License as   *
C * published by the Free Software Foundation; Version 2 of the      *
C * License.                                                         *
C *                                                                  *
C * This program is distributed in the hope that it will be useful,  *
C * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
C * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *
C * General Public License for more details.                         *
C *                                                                  *
C * You should have received a copy of the GNU General Public        *
C * License along with this program; if not, write to the Free       *
C * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,   *
C * MA 02111-1307 USA                                                *
C ********************************************************************
C ********************************************************************
C *                                                                  *
C *  CLEXIT                                                          *
C *                                                                  *
C *  Routine of  EHMACC                                              *
C *                                                                  *
C *  Usage......: Closes all files and exits program.                *
C *                                                                  *
C *  Author.....: Martin Braendle (mbs), c/o Calzaferri group, Inst. *
C *               for Inorg. and Phys. Chemistry, Freiestr. 3, Uni-  *
C *               versity of Berne, CH-3012 Berne                    *
C *  Date.......: 29.12.92                                           *
C *  Revision...: -                                                  *
C *  Remarks....: -                                                  *
C *                                                                  *
C *  Called from: ARRAYS,EHMACC,GAOOCC,GETFMO,GETKP,GETNUM,GETPOS,   *
C *               INMODI,PARAM,PART1                                 *
C *                                                                  *
C ********************************************************************

      SUBROUTINE CLEXIT

      DO 10 I=1,23
        CLOSE (I,ERR=10)
10    CONTINUE
      STOP
      END
