#!/bin/ksh
#
# @(#) ehpc_batch V1.0 - perform ehpc properties calculation
# 
# Author  : Martin Braendle, Spiez (mbs)
# Date    : 29.10.93/mbs 
# Revision: -
# Remarks : - 
#------------------------------------------------------------------------------
#
read filename <inputfile
time $BANDDIR/ehpc.exe <$filename.epi >$filename.epo
if (test -r fort.1)
then
  mv fort.1 ../$filename.eh1
fi
if (test -r fort.2)
then
  mv fort.2 ../$filename.eh2
fi
if (test -r fort.3)
then
  mv fort.3 ../$filename.eh3
fi
if (test -r fort.4)
then
  mv fort.4 ../$filename.eh4
fi
if (test -r fort.7)
then
  mv fort.7 ../$filename.eh5
fi 
if (test -r $filename.epo)
then
  mv $filename.epo ..
fi
mv $filename.epi ..
rm inputfile
if (test -r ehpc.s08)
then
rm ehpc.s08
fi
cd ..
rmdir $filename
#(EOF)
